org.modeshape.jcr.query

## Class JcrQueryResult.SingleSelectorQueryResultRow

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult.SingleSelectorQueryResultRow

- All Implemented Interfaces:
    Row
  Direct Known Subclasses:
    XPathQueryResult.XPathQueryResultRow
  Enclosing class:
    JcrQueryResult

      protected static class JcrQueryResult.SingleSelectorQueryResultRow
      extends Object
      implements Row

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JcrQueryResult.SingleSelectorQueryResultRowIterator` | `iterator`
    `protected Node` | `node`
    `protected Object[]` | `tuple`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrQueryResult.SingleSelectorQueryResultRow(JcrQueryResult.SingleSelectorQueryResultRowIterator iterator, Node node, Object[] tuple)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getNode()`
    `Node` | `getNode(String selectorName)`
    `String` | `getPath()`
    `String` | `getPath(String selectorName)`
    `double` | `getScore()`
    `double` | `getScore(String selectorName)`
    `Value` | `getValue(String columnName)`
    `Value[]` | `getValues()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iterator

          protected final JcrQueryResult.SingleSelectorQueryResultRowIterator iterator

    - #### node

          protected final Node node

    - #### tuple

          protected final Object[] tuple

  - ### Constructor Detail

    - #### JcrQueryResult.SingleSelectorQueryResultRow

          protected JcrQueryResult.SingleSelectorQueryResultRow(JcrQueryResult.SingleSelectorQueryResultRowIterator iterator,
                                                     Node node,
                                                     Object[] tuple)

  - ### Method Detail

    - #### getNode

          public Node getNode(String selectorName)
                       throws RepositoryException

      Specified by:
        `getNode` in interface `Row`
      Throws:
        `RepositoryException`

    - #### getValue

          public Value getValue(String columnName)
                         throws ItemNotFoundException,
                                RepositoryException

      Specified by:
        `getValue` in interface `Row`
      Throws:
        `ItemNotFoundException`
        `RepositoryException`

    - #### getValues

          public Value[] getValues()
                            throws RepositoryException

      Specified by:
        `getValues` in interface `Row`
      Throws:
        `RepositoryException`

    - #### getNode

          public Node getNode()

      Specified by:
        `getNode` in interface `Row`

    - #### getPath

          public String getPath()
                         throws RepositoryException

      Specified by:
        `getPath` in interface `Row`
      Throws:
        `RepositoryException`

    - #### getPath

          public String getPath(String selectorName)
                         throws RepositoryException

      Specified by:
        `getPath` in interface `Row`
      Throws:
        `RepositoryException`

    - #### getScore

          public double getScore()
                          throws RepositoryException

      Specified by:
        `getScore` in interface `Row`
      Throws:
        `RepositoryException`

    - #### getScore

          public double getScore(String selectorName)
                          throws RepositoryException

      Specified by:
        `getScore` in interface `Row`
      Throws:
        `RepositoryException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.